/**
 * Sales Archiving Web Service
 * -----------------------
 *
 * This piece of software is part of the Sales Archiving Web Service example.
 *
 * Simply speaking, the aim of this software is to deploy, on JOnAS 4, a web
 * service to which sales data can be sent. That service would then store all
 * received data in a database using EJB3s.
 *
 *
 * If this software works, it has been written by Savas Ali TOKMEN, who has a
 * web site on the http://ali.tokmen.com/ address. If it doesn't work and
 * you're experiencing problems with it, I don't know who wrote it.
 *
 * Created the 31st of March 2007
 */
package SalesArchivingService;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * This interface defines the Sales Archiving Web Service's external interface.
 */
public interface SalesArchivingServiceInterface extends Remote {
	/**
	 * Sends sales data for one item from the local cash to the sales archiving
	 * server. The cash will suppose that once the sending operation has
	 * completed successfully, the server has saved the data and it will never
	 * disappear -it will therefore delete its own cache.
	 *
	 * @param item   Description of the item (a string with the name).
	 * @param datum  Data to push. Each SalesData will be saved into the
	 *               database, therefore if datum is null or doesn't contain
	 *               any element then nothing will be saved (and no exception
	 *               will be thrown).
	 */
	public void sendSalesData(SalesItem item, SalesData[] datum) throws RemoteException;
}
