/**
 * Sales Archiving Web Service
 * -----------------------
 *
 * This piece of software is part of the Sales Archiving Web Service example.
 *
 * Simply speaking, the aim of this software is to deploy, on JOnAS 4, a web
 * service to which sales data can be sent. That service would then store all
 * received data in a database using EJB3s.
 *
 *
 * If this software works, it has been written by Savas Ali TOKMEN, who has a
 * web site on the http://ali.tokmen.com/ address. If it doesn't work and
 * you're experiencing problems with it, I don't know who wrote it.
 *
 * Created the 31st of March 2007
 */
package SalesArchivingService;

import java.util.Set;
import java.util.TreeSet;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.OneToMany;

/**
 * This class defines a sales item bean, which is the Entity Bean version of a
 * sales item bean as defined in @see SalesItem
 */
@Entity
public class SalesItemBean {
	@Id
	@Column(name="iid")
	@GeneratedValue
	private long id;

	private String name;

	@OneToMany(mappedBy="item")
	private Set<SalesDataBean> sales;

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Set<SalesDataBean> getSales() {
		return this.sales;
	}

	public void setSales(Set<SalesDataBean> sales) {
		this.sales = sales;
	}

	public String toString() {
		return ( this.name );
	}
}
